#include "XmlRpcppServer.hpp"

using namespace mole;
using namespace ctx;
using namespace xmlrpcpp;

XmlRpcppServer::XmlRpcppServer(int p):port(p), server(new XmlRpc::XmlRpcServer()){
}

XmlRpcppServer::~XmlRpcppServer(){}

void
XmlRpcppServer::start(){
    if (port > 0){
        server->bindAndListen(port);
	server->enableIntrospection(true);
        server->work(-1.0);
      }
}

